Skip to content

ServersController_update

PATCH
/api/mcp-servers/{id}
curl --request PATCH \
--url https://api.streams.chat/api/mcp-servers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "enabled": true, "token": "example" }'
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Media typeapplication/json
object
name
string
>= 1 characters <= 80 characters
enabled
boolean
token
string
>= 1 characters <= 4096 characters
Examplegenerated
{
"name": "example",
"enabled": true,
"token": "example"
}